Bug 1768893 - Review Request: php-psr-event-dispatcher - Standard interfaces for event handling
Summary: Review Request: php-psr-event-dispatcher - Standard interfaces for event hand...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1712845
TreeView+ depends on / blocked
 
Reported: 2019-11-05 13:38 UTC by Remi Collet
Modified: 2019-12-12 01:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 01:06:41 UTC
Type: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo.log (1.16 KB, text/plain)
2019-11-30 04:34 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.28 KB, text/plain)
2019-11-30 04:34 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2019-11-05 13:38:35 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/psr/php-psr-event-dispatcher.git/plain/php-psr-event-dispatcher.spec?id=077bced34658d8e415429918c8e2adbc30ee2f9d
SRPM URL: http://rpms.remirepo.net/SRPMS/php-psr-event-dispatcher-1.0.0-1.remi.src.rpm
Description: 

This repository holds all interfaces related to PSR-14 (Event Dispatcher).

Please refer to the specification for a description:
https://www.php-fig.org/psr/psr-14/


Autoloader: /usr/share/php/Psr/EventDispatcher/autoload.php


Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2019-11-30 04:34:09 UTC
Created attachment 1640780 [details]
phpcompatinfo.log

phpCompatInfo version 5.2.0 DB version 2.6.0 built Jul 26 2019 08:10:48 CEST

Comment 2 Shawn Iwinski 2019-11-30 04:34:55 UTC
Created attachment 1640782 [details]
fedora-review.txt

Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1768893
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: PHP, Shell-api, Generic
Disabled plugins: Perl, R, Java, C/C++, Ocaml, fonts, SugarActivity, Haskell, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Shawn Iwinski 2019-11-30 04:35:30 UTC
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/Psr

Since there are no other PSR dependencies, %files should contain:
%dir %{_datadir}/php/%{ns_vendor}

Comment 5 Shawn Iwinski 2019-12-01 03:55:36 UTC
[x]: Package must own all directories that it creates.

No blockers

===== APPROVED =====

Comment 7 Igor Raits 2019-12-02 07:46:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-psr-event-dispatcher

Comment 8 Fedora Update System 2019-12-03 08:18:09 UTC
FEDORA-2019-ef0b536cb1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef0b536cb1

Comment 9 Fedora Update System 2019-12-03 08:18:09 UTC
FEDORA-2019-51a1d9027d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-51a1d9027d

Comment 10 Fedora Update System 2019-12-04 00:55:06 UTC
php-psr-event-dispatcher-1.0.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-51a1d9027d

Comment 11 Fedora Update System 2019-12-04 02:20:13 UTC
php-psr-event-dispatcher-1.0.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef0b536cb1

Comment 12 Fedora Update System 2019-12-12 01:06:41 UTC
php-psr-event-dispatcher-1.0.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-12-12 01:54:01 UTC
php-psr-event-dispatcher-1.0.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.